import java.io.*;

import org.apache.velocity.*;
import org.apache.velocity.app.Velocity;
import org.apache.velocity.tools.generic.IteratorTool;

public class MacroWithParameter {

  public static void main(String[] args) throws Exception {
    Velocity.init();

    Template template = Velocity.getTemplate("./src/MacroWithParameter.vm");

    VelocityContext context = new VelocityContext();
    context.put("var", new MacroWithParameter());

    Writer writer = new StringWriter();
    template.merge(context, writer);

    System.out.println(writer);
  }
}
